public abstract class Colores {
    public static final String ANSI_COLOR_BLACK   = (char)27+"[30m";
    public static final String ANSI_COLOR_RED     = (char)27+"[31m";
    public static final String ANSI_COLOR_GREEN   = (char)27+"[32m";
    public static final String ANSI_COLOR_YELLOW  = (char)27+"[33m";
    public static final String ANSI_COLOR_BLUE    = (char)27+"[34m";
    public static final String ANSI_COLOR_MAGENTA = (char)27+"[35m";
    public static final String ANSI_COLOR_CYAN    = (char)27+"[36m";
    public static final String ANSI_COLOR_WHITE   = (char)27+"[37m";
    public static final String ANSI_COLOR_RESET   = (char)27+"[0m";
    public static final String ANSI_COLOR_BOLD    = (char)27+"[1m";
    public static String color(int color) {
        // Solo en el Netbeans:
        // Por algun motivo imprimir este String cambia el color
        // pero solo hasta que se imprima un '\n' :-?
        switch (color) {
            case  0: return (ANSI_COLOR_BOLD   + ANSI_COLOR_WHITE  );
            case  1: return (ANSI_COLOR_BOLD   + ANSI_COLOR_RED    );
            case  2: return (ANSI_COLOR_BOLD   + ANSI_COLOR_GREEN  );
            case  3: return (ANSI_COLOR_BOLD   + ANSI_COLOR_YELLOW );
            case  4: return (ANSI_COLOR_BOLD   + ANSI_COLOR_BLUE   );
            case  5: return (ANSI_COLOR_BOLD   + ANSI_COLOR_MAGENTA);
            case  6: return (ANSI_COLOR_BOLD   + ANSI_COLOR_CYAN   );
            case  7: return (ANSI_COLOR_RED    );
            case  8: return (ANSI_COLOR_GREEN  );
            case  9: return (ANSI_COLOR_YELLOW );
            case -1:
            default: return (ANSI_COLOR_RESET  );
        }
    }
    public static String resetColor() {
        return color(-1);
    }
}
